
NHalf = 64;  % must be even!
h = zeros( NHalf, 1);
for i = 1:2:NHalf
  h( i)   = 0;
  h( i+1) = 2 / (i*pi);
end
h = [ -flipud( h); h( 2:end)];
N = length( h); % N = 2*NHalf - 1
figure(1)
hold off
stem( 0:N-1, h)
h = h .* kaiser( N, 2.63);
figure(1)
hold on
stem( 0:N-1, h, 'r')
figure(2)
hold off
freqz( h);
format long
