

#include "delay_float.h"


void delay_float_init( struct_delay_float *data, int delay, int blksz)
{
  data->blksz = blksz;
  data->delay = delay;
  data->bufsz = blksz + delay;
  data->buffer = (float *)malloc( data->bufsz * sizeof(float));
  data->w_index = delay;
  data->r_index = 0;
}


void delay_float( struct_delay_float *data, float *sigbuf)
{
  int i;
  
  for( i = 0; i < data->blksz; i++)
  {
    data->buffer[data->w_index++] = sigbuf[i];
    if( data->w_index == data->bufsz)
      data->w_index = 0;
  }
  
  for( i = 0; i < data->blksz; i++)
  {
    sigbuf[i] = data->buffer[data->r_index++];
    if( data->r_index == data->bufsz)
      data->r_index = 0;
  }
}
