-c
-heap  0x1000 /* for dynamic memory allocations */
-stack 0x400  /* for C function calls (relatively large for a DSP program) */
-lrts6700.lib /* C Runtime Library */
-lcsl6713.lib /* Chip Support Library */

  
MEMORY
{
    vecs:   o = 00000000h   l = 200h
  /*IRAM:   o = 00000200h   l = 0002fe00h    192 kB (when you use 64kB L2 Cache)  */
    IRAM:   o = 00000200h   l = 0003fe00h /* 256 kB (when you use NO L2 Cache) */
    CE0:    o = 80000000h   l = 01000000h /* 16 MB SDRAM, currently not used (see below) */
}

SECTIONS
{
    "vectors"   >       vecs
    .cinit      >       IRAM
    .text       >       IRAM
    .stack      >       IRAM
    .bss        >       IRAM
    .const      >       IRAM
    .data       >       IRAM
    .far        >       IRAM
    .switch     >       IRAM
    .sysmem     >       IRAM
    .tables     >       IRAM
    .cio        >       IRAM
}                             

 
